Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1605800 - python-octaviaclient: FTBFS in Fedora rawhide
Summary: python-octaviaclient: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-octaviaclient
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Javier Peña
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1605807
Blocks: PYTHON37 F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 17:03 UTC by Mohan Boddu
Modified: 2019-12-31 17:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-27 08:34:59 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 17:03 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 17:03 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 17:03 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 17:03:05 UTC
python-octaviaclient failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28223150


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix python-octaviaclient at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-octaviaclient will be orphaned. Before branching of Fedora 30,
python-octaviaclient will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 17:03:11 UTC
Created attachment 1466507 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 17:03:18 UTC
Created attachment 1466508 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 17:03:23 UTC
Created attachment 1466509 [details]
state.log

Comment 4 Miro Hrončok 2018-07-25 09:24:43 UTC
(This is a mass bug update. Forgive me if things are not 100% accurate for this one.)

At this moment, your package still requires Python 3.6. This will cause broken upgrades to Fedora 29. Please prioritize this rebuild.

Let me know if you need help from the Python maintenance team figuring out why the package FTBFS.

Consider orphaning the package if you don't have time for it.

Consider retiring the package if upstream is dead and nothing depends on it in Fedora.

If you are blocked by other packages (I've recently tried to set the Bugzilla metadata to reflect that), consider helping there as well. Thank you.

Comment 5 Miro Hrončok 2018-08-10 13:46:42 UTC
Note that I requested an approval from FESCo to retire leaf packages that still require Python 3.6 at beta freeze and their bugs are in NEW state. (This package might not necessarily be leaf at this moment, but I'm updating all the bugs in case the dependencies change in the meantime.)

More info at https://pagure.io/fesco/issue/1965

Comment 6 Miro Hrončok 2018-08-13 11:58:47 UTC
Another bulk reminder. Please take action. Your package doesn't install on Fedora 29. Fix it or retire it.

Comment 7 Miro Hrončok 2018-08-13 20:52:29 UTC
Current failure:

${PYTHON:-python} -m subunit.run discover -t ./ ${OS_TEST_PATH:-./octaviaclient/tests/unit}  --load-list /tmp/tmp6yph_ui0
======================================================================
FAIL: octaviaclient.tests.unit.osc.v2.test_health_monitor.TestHealthMonitorCreate.test_health_monitor_create
tags: worker-3
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/mock/mock.py", line 1305, in patched
    return func(*args, **keywargs)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/tests/unit/osc/v2/test_health_monitor.py", line 151, in test_health_monitor_create
    self.cmd.take_action(parsed_args)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/osc/v2/health_monitor.py", line 131, in take_action
    formatters=formatters)))
  File "/usr/lib/python3.7/site-packages/osc_lib/utils/__init__.py", line 433, in get_dict_properties
    if issubclass(formatter, cliff_columns.FormattableColumn):
  File "/usr/lib64/python3.7/abc.py", line 143, in __subclasscheck__
    return _abc_subclasscheck(cls, subclass)
TypeError: issubclass() arg 1 must be a class
======================================================================
FAIL: octaviaclient.tests.unit.osc.v2.test_l7policy.TestL7PolicyCreate.test_l7policy_create
tags: worker-3
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/mock/mock.py", line 1305, in patched
    return func(*args, **keywargs)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/tests/unit/osc/v2/test_l7policy.py", line 157, in test_l7policy_create
    self.cmd.take_action(parsed_args)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/osc/v2/l7policy.py", line 105, in take_action
    data['l7policy'], rows, formatters=formatters)))
  File "/usr/lib/python3.7/site-packages/osc_lib/utils/__init__.py", line 433, in get_dict_properties
    if issubclass(formatter, cliff_columns.FormattableColumn):
  File "/usr/lib64/python3.7/abc.py", line 143, in __subclasscheck__
    return _abc_subclasscheck(cls, subclass)
TypeError: issubclass() arg 1 must be a class
======================================================================
FAIL: octaviaclient.tests.unit.osc.v2.test_load_balancer.TestLoadBalancerShow.test_load_balancer_show
tags: worker-0
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/tests/unit/osc/v2/test_load_balancer.py", line 211, in test_load_balancer_show
    self.cmd.take_action(parsed_args)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/osc/v2/load_balancer.py", line 251, in take_action
    data, rows, formatters=formatters)))
  File "/usr/lib/python3.7/site-packages/osc_lib/utils/__init__.py", line 433, in get_dict_properties
    if issubclass(formatter, cliff_columns.FormattableColumn):
  File "/usr/lib64/python3.7/abc.py", line 143, in __subclasscheck__
    return _abc_subclasscheck(cls, subclass)
TypeError: issubclass() arg 1 must be a class
======================================================================
FAIL: octaviaclient.tests.unit.osc.v2.test_listener.TestListenerCreate.test_tls_listener_create
tags: worker-3
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/mock/mock.py", line 1305, in patched
    return func(*args, **keywargs)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/tests/unit/osc/v2/test_listener.py", line 192, in test_tls_listener_create
    self.cmd.take_action(parsed_args)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/osc/v2/listener.py", line 125, in take_action
    formatters=formatters)))
  File "/usr/lib/python3.7/site-packages/osc_lib/utils/__init__.py", line 433, in get_dict_properties
    if issubclass(formatter, cliff_columns.FormattableColumn):
  File "/usr/lib64/python3.7/abc.py", line 143, in __subclasscheck__
    return _abc_subclasscheck(cls, subclass)
TypeError: issubclass() arg 1 must be a class
======================================================================
FAIL: octaviaclient.tests.unit.osc.v2.test_listener.TestListenerShow.test_listener_show
tags: worker-3
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/tests/unit/osc/v2/test_listener.py", line 216, in test_listener_show
    self.cmd.take_action(parsed_args)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/osc/v2/listener.py", line 231, in take_action
    formatters=formatters)
  File "/usr/lib/python3.7/site-packages/osc_lib/utils/__init__.py", line 433, in get_dict_properties
    if issubclass(formatter, cliff_columns.FormattableColumn):
  File "/usr/lib64/python3.7/abc.py", line 143, in __subclasscheck__
    return _abc_subclasscheck(cls, subclass)
TypeError: issubclass() arg 1 must be a class
======================================================================
FAIL: octaviaclient.tests.unit.osc.v2.test_health_monitor.TestHealthMonitorShow.test_health_monitor_show
tags: worker-2
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/tests/unit/osc/v2/test_health_monitor.py", line 176, in test_health_monitor_show
    self.cmd.take_action(parsed_args)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/osc/v2/health_monitor.py", line 206, in take_action
    (utils.get_dict_properties(data, rows, formatters=formatters)))
  File "/usr/lib/python3.7/site-packages/osc_lib/utils/__init__.py", line 433, in get_dict_properties
    if issubclass(formatter, cliff_columns.FormattableColumn):
  File "/usr/lib64/python3.7/abc.py", line 143, in __subclasscheck__
    return _abc_subclasscheck(cls, subclass)
TypeError: issubclass() arg 1 must be a class
======================================================================
FAIL: octaviaclient.tests.unit.osc.v2.test_l7policy.TestL7PolicyShow.test_l7policy_show
tags: worker-2
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/mock/mock.py", line 1305, in patched
    return func(*args, **keywargs)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/tests/unit/osc/v2/test_l7policy.py", line 188, in test_l7policy_show
    self.cmd.take_action(parsed_args)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/osc/v2/l7policy.py", line 179, in take_action
    data, rows, formatters=formatters)))
  File "/usr/lib/python3.7/site-packages/osc_lib/utils/__init__.py", line 433, in get_dict_properties
    if issubclass(formatter, cliff_columns.FormattableColumn):
  File "/usr/lib64/python3.7/abc.py", line 143, in __subclasscheck__
    return _abc_subclasscheck(cls, subclass)
TypeError: issubclass() arg 1 must be a class
======================================================================
FAIL: octaviaclient.tests.unit.osc.v2.test_listener.TestListenerCreate.test_listener_create
tags: worker-2
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/mock/mock.py", line 1305, in patched
    return func(*args, **keywargs)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/tests/unit/osc/v2/test_listener.py", line 166, in test_listener_create
    self.cmd.take_action(parsed_args)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/osc/v2/listener.py", line 125, in take_action
    formatters=formatters)))
  File "/usr/lib/python3.7/site-packages/osc_lib/utils/__init__.py", line 433, in get_dict_properties
    if issubclass(formatter, cliff_columns.FormattableColumn):
  File "/usr/lib64/python3.7/abc.py", line 143, in __subclasscheck__
    return _abc_subclasscheck(cls, subclass)
TypeError: issubclass() arg 1 must be a class
======================================================================
FAIL: octaviaclient.tests.unit.osc.v2.test_load_balancer.TestLoadBalancerCreate.test_load_balancer_create
tags: worker-4
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/mock/mock.py", line 1305, in patched
    return func(*args, **keywargs)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/tests/unit/osc/v2/test_load_balancer.py", line 159, in test_load_balancer_create
    self.cmd.take_action(parsed_args)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/osc/v2/load_balancer.py", line 119, in take_action
    data['loadbalancer'], rows, formatters=formatters)))
  File "/usr/lib/python3.7/site-packages/osc_lib/utils/__init__.py", line 433, in get_dict_properties
    if issubclass(formatter, cliff_columns.FormattableColumn):
  File "/usr/lib64/python3.7/abc.py", line 143, in __subclasscheck__
    return _abc_subclasscheck(cls, subclass)
TypeError: issubclass() arg 1 must be a class
======================================================================
FAIL: octaviaclient.tests.unit.osc.v2.test_pool.TestPoolShow.test_pool_show
tags: worker-1
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/tests/unit/osc/v2/test_pool.py", line 177, in test_pool_show
    self.cmd.take_action(parsed_args)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/osc/v2/pool.py", line 180, in take_action
    data, rows, formatters=formatters)))
  File "/usr/lib/python3.7/site-packages/osc_lib/utils/__init__.py", line 433, in get_dict_properties
    if issubclass(formatter, cliff_columns.FormattableColumn):
  File "/usr/lib64/python3.7/abc.py", line 143, in __subclasscheck__
    return _abc_subclasscheck(cls, subclass)
TypeError: issubclass() arg 1 must be a class
======================================================================
FAIL: octaviaclient.tests.unit.osc.v2.test_pool.TestPoolCreate.test_pool_create
tags: worker-2
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/mock/mock.py", line 1305, in patched
    return func(*args, **keywargs)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/tests/unit/osc/v2/test_pool.py", line 153, in test_pool_create
    self.cmd.take_action(parsed_args)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/osc/v2/pool.py", line 100, in take_action
    data['pool'], rows, formatters=formatters)))
  File "/usr/lib/python3.7/site-packages/osc_lib/utils/__init__.py", line 433, in get_dict_properties
    if issubclass(formatter, cliff_columns.FormattableColumn):
  File "/usr/lib64/python3.7/abc.py", line 143, in __subclasscheck__
    return _abc_subclasscheck(cls, subclass)
TypeError: issubclass() arg 1 must be a class
======================================================================
FAIL: octaviaclient.tests.unit.osc.v2.test_load_balancer.TestLoadBalancerCreate.test_load_balancer_create_missing_args
tags: worker-5
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/mock/mock.py", line 1305, in patched
    return func(*args, **keywargs)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/tests/unit/osc/v2/test_load_balancer.py", line 187, in test_load_balancer_create_missing_args
    self.cmd.take_action(filtered_attrs)
  File "/builddir/build/BUILD/python-octaviaclient-1.3.0/octaviaclient/osc/v2/load_balancer.py", line 119, in take_action
    data['loadbalancer'], rows, formatters=formatters)))
  File "/usr/lib/python3.7/site-packages/osc_lib/utils/__init__.py", line 433, in get_dict_properties
    if issubclass(formatter, cliff_columns.FormattableColumn):
  File "/usr/lib64/python3.7/abc.py", line 143, in __subclasscheck__
    return _abc_subclasscheck(cls, subclass)
TypeError: issubclass() arg 1 must be a class
Ran 131 tests in 0.216s
FAILED (id=0, failures=12)

Comment 8 Miro Hrončok 2018-08-13 20:53:21 UTC
This looks relevant: https://storyboard.openstack.org/#!/story/2003322

Comment 9 Jan Kurik 2018-08-14 10:28:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 10 Javier Peña 2018-08-14 10:59:06 UTC
I'll take care of fixing it (at least avoid the FTBFS). As a pre-step, I need to wait for the updated python-openstackclient build to be available in Rawhide, so please give me a few days.

Comment 11 Javier Peña 2018-08-23 13:04:31 UTC
I have created https://src.fedoraproject.org/rpms/python-octaviaclient/pull-request/2 with the fix.

Comment 12 Zbigniew Jędrzejewski-Szmek 2018-08-27 08:34:59 UTC
There has been at least one successfull build after mass rebuild.

python-octaviaclient-1.3.0-6.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1138813

Comment 13 Fedora Update System 2019-04-30 12:58:19 UTC
python-octaviaclient-1.3.0-8.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-73d570dfde


Note You need to log in before you can comment on or make changes to this bug.